OGRE-Next: Ogre::GLES2FBOMultiRenderTarget Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::GLES2FBOMultiRenderTarget Class Reference

MultiRenderTarget for GL ES 2.x. More...

`#include <OgreGLES2FBOMultiRenderTarget.h>`

Inheritance diagram for Ogre::GLES2FBOMultiRenderTarget:
[legend]

## Public Member Functions
| GLES2FBOMultiRenderTarget (GLES2FBOManager *manager, const String &name)
| ~GLES2FBOMultiRenderTarget ()
virtual void | _detachDepthBuffer ()
virtual bool | attachDepthBuffer (DepthBuffer *depthBuffer, bool exactFormatMatch)
| Override so we can attach the depth buffer to the FBO.
virtual void | detachDepthBuffer ()
virtual void | getCustomAttribute (const String &name, void *pData)
bool | requiresTextureFlipping () const

## Detailed Description

MultiRenderTarget for GL ES 2.x.

## Constructor & Destructor Documentation

## ◆ GLES2FBOMultiRenderTarget()

Ogre::GLES2FBOMultiRenderTarget::GLES2FBOMultiRenderTarget | ( | GLES2FBOManager * | manager,
|  | const String & | name )

## ◆ ~GLES2FBOMultiRenderTarget()

Ogre::GLES2FBOMultiRenderTarget::~GLES2FBOMultiRenderTarget | ( |  | ) |

## Member Function Documentation

## ◆ _detachDepthBuffer()

virtual void Ogre::GLES2FBOMultiRenderTarget::_detachDepthBuffer | ( |  | ) |
| virtual

## ◆ attachDepthBuffer()

virtual bool Ogre::GLES2FBOMultiRenderTarget::attachDepthBuffer | ( | DepthBuffer * | depthBuffer,
|  | bool | exactFormatMatch )
| virtual

Override so we can attach the depth buffer to the FBO.

## ◆ detachDepthBuffer()

virtual void Ogre::GLES2FBOMultiRenderTarget::detachDepthBuffer | ( |  | ) |
| virtual

## ◆ getCustomAttribute()

virtual void Ogre::GLES2FBOMultiRenderTarget::getCustomAttribute | ( | const String & | name,
|  | void * | pData )
| virtual

## ◆ requiresTextureFlipping()

bool Ogre::GLES2FBOMultiRenderTarget::requiresTextureFlipping | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- OgreGLES2FBOMultiRenderTarget.h